-- plugins/mason.lua
return {
  {
    "williamboman/mason.nvim",
    lazy = false,
    config = function()
      require("mason").setup()
    end,
  },
  {
    "williamboman/mason-lspconfig.nvim",
    lazy = false,
    opts = {
      auto_install = true,
      ensure_installed = {
        "lua_ls",
        "pyright",
        "bashls",
        "ts_ls",
        "solargraph",
        "html",
        "texlab",
        "ltex",
        "dockerls",
        "yamlls",
        "taplo",
      },
    },
  },
}
